From cec29b5c0c981752a274667d295e08958966f8bb Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=B6rn-Ingo=20Weiegert?= <jiweigert@gmail.com>
Date: Mon, 24 Dec 2012 06:41:06 +0100
Subject: [PATCH 1/5] httpd: enable mod_deflate and configurate it

---
 config/httpd/loadmodule.conf                    |    2 +-
 config/httpd/vhosts.d/ipfire-interface-ssl.conf |   10 ++++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/config/httpd/loadmodule.conf b/config/httpd/loadmodule.conf
index e30f79b..2f09ca3 100644
--- a/config/httpd/loadmodule.conf
+++ b/config/httpd/loadmodule.conf
@@ -16,7 +16,7 @@ LoadModule auth_digest_module /usr/lib/apache/mod_auth_digest.so
 #LoadModule ext_filter_module /usr/lib/apache/mod_ext_filter.so
 #LoadModule include_module /usr/lib/apache/mod_include.so
 #LoadModule filter_module /usr/lib/apache/mod_filter.so
-#LoadModule deflate_module /usr/lib/apache/mod_deflate.so
+LoadModule deflate_module /usr/lib/apache/mod_deflate.so
 LoadModule log_config_module /usr/lib/apache/mod_log_config.so
 #LoadModule log_forensic_module /usr/lib/apache/mod_log_forensic.so
 #LoadModule logio_module /usr/lib/apache/mod_logio.so
diff --git a/config/httpd/vhosts.d/ipfire-interface-ssl.conf b/config/httpd/vhosts.d/ipfire-interface-ssl.conf
index cc3cb1d..1c8d648 100644
--- a/config/httpd/vhosts.d/ipfire-interface-ssl.conf
+++ b/config/httpd/vhosts.d/ipfire-interface-ssl.conf
@@ -95,4 +95,14 @@
         AuthUserFile /var/ipfire/auth/users
         Require user admin
     </Directory>
+    <Location />
+        # Insert filter
+        SetOutputFilter DEFLATE
+        BrowserMatch ^Mozilla/4 gzip-only-text/html
+        BrowserMatch ^Mozilla/4\.0[678] no-gzip
+        BrowserMatch \bMSIE !no-gzip !gzip-only-text/html
+        SetEnvIfNoCase Request_URI \
+        \.(?:gif|jpe?g|png)$ no-gzip dont-vary
+        Header append Vary User-Agent env=!dont-vary
+    </Location>
 </VirtualHost>
-- 
1.7.9.5

